Index: trunk/admin/setup/setup.inc.php
===================================================================
--- trunk/admin/setup/setup.inc.php	(revision 4186)
+++ trunk/admin/setup/setup.inc.php	(revision 5123)
@@ -13,5 +13,5 @@
 	$setup_info['admin']['name']      = 'admin';
 	$setup_info['admin']['title']      = 'Admin';
-	$setup_info['admin']['version']   = '2.2.1';
+	$setup_info['admin']['version']   = '2.4.0';
 	$setup_info['admin']['app_order'] = 1;
 	$setup_info['admin']['tables']    = '';
@@ -48,5 +48,5 @@
 	$setup_info['admin']['depends'][] = array(
 		'appname' => 'phpgwapi',
-		'versions' => Array('2.2')
+		'versions' => Array('2.4.0')
 	);
 ?>
Index: trunk/admin/inc/class.uiconfig.inc.php
===================================================================
--- trunk/admin/inc/class.uiconfig.inc.php	(revision 4548)
+++ trunk/admin/inc/class.uiconfig.inc.php	(revision 5123)
@@ -191,10 +191,19 @@
 	
 				$campos_vazio = true;
-				$campos = "<div>
-								<label style=\"margin:46px;\">" . lang('Name')               . "</label>
-								<label style=\"margin:50px;\">" . lang('Corresponding LDAP') . "</label>
-								<label style=\"margin:25px;\">" . lang('Type')               . "</label>
-								<label style=\"margin:10px;\">" . lang('Searchable')         . "</label>
-							</div>";
+				$campos = "
+						<input type=\"hidden\" id=\"textHidden\" value=\"".lang('Text')."\" />
+						<input type=\"hidden\" id=\"multitextHidden\" value=\"".lang('Multivalued')."\" />
+						<input type=\"hidden\" id=\"yesHidden\" value=\"".lang('Yes')."\" />
+						<input type=\"hidden\" id=\"noHidden\" value=\"".lang('No')."\" />
+						<input type=\"hidden\" id=\"deleteHidden\" value=\"".lang('Delete')."\" />
+						<table id=\"cc_newconf\" name=\"cc_newconf\" class=\"cc_attribute\">
+						   <tbody id=\"cc_newconftable\" name=\"cc_newconftable\">
+							<tr>
+								<td align=\"center\" style=\"width:170px;\">" . lang('Name')               . "</td>
+								<td align=\"center\" style=\"width:170px;\">" . lang('Corresponding LDAP') . "</td>
+								<td align=\"center\" style=\"width:100px; margin: 0px 0px 0px 8px;\">" . lang('Type')               . "</td>
+								<td align=\"center\" style=\"width:80px; margin: 0px 16px;\">" . lang('Searchable')         . "</td>
+								<td align=\"center\" style=\"width: 15px;\">
+							</tr>";
                 
         		foreach ($fields as $i => $line) 
@@ -208,17 +217,18 @@
 
 						
-                		$campos = $campos . "<div class=\"cc_attribute\">
-									<input type=\"text\" name=\"newsettings[cc_attribute_name_" . $i . "]\" value=\"".$line["cc_attribute_name_$i"]."\" style=\"width:170px;\"/> 
-									<input type=\"text\" name=\"newsettings[cc_attribute_ldapname_" . $i . "]\" value=\"".$line["cc_attribute_ldapname_$i"]."\" style=\"width:170px;\"/> 
-									<select name=\"newsettings[cc_attribute_type_" . $i . "]\" style=\"width:86px; margin: 0px 0px 0px 8px;\">
+                		$campos = $campos . "
+								<tr>
+									<td><input type=\"text\" name=\"newsettings[cc_attribute_name_" . $i . "]\" value=\"".$line["cc_attribute_name_$i"]."\" style=\"width:170px;\"></input></td>
+									<td><input type=\"text\" name=\"newsettings[cc_attribute_ldapname_" . $i . "]\" value=\"".$line["cc_attribute_ldapname_$i"]."\" style=\"width:170px;\"></input></td>
+									<td><select name=\"newsettings[cc_attribute_type_" . $i . "]\" style=\"width:86px; margin: 0px 0px 0px 8px;\">
 											<option value=\"text\" $selectedText>" . lang('Text') . "</option>
 											<option value=\"multivalues\" $selectedTMult>" . lang('Multivalued') ."</option>
-									</select>
-									<select name=\"newsettings[cc_attribute_searchable_$i]\" style=\"margin: 0px 16px;\">
+									</select></td>
+									<td><select name=\"newsettings[cc_attribute_searchable_$i]\" style=\"margin: 0px 16px;\">
 											<option value=\"true\" $selectedYes>" . lang('Yes') . "</option>
 											<option value=\"false\" $selectedNo>" . lang('No') . "</option>
-									</select>
-									<img src=\"contactcenter/templates/default/images/cc_x.png\" alt=\"". lang('Delete') . "\" style=\"width: 15px; height: 14px; cursor: pointer; position: relative; top: 3px;\" onclick=\"javascript:cc_attribute_delete(this)\"/>  
-								</div>";
+									</select></td>
+									<td><img src=\"contactcenter/templates/default/images/cc_x.png\" alt=\"". lang('Delete') . "\" title=\"". lang('Delete') ."\" style=\"width: 15px; height: 14px; cursor: pointer; position: relative; top: 3px;\" onclick=\"javascript:cc_attribute_delete(this)\"></img></td>  
+								</tr>";
                 	}
         		} 
@@ -226,18 +236,19 @@
 			    if ($campos_vazio)
         		{
-        			$campos .= "<div class=\"cc_attribute\">
-                                <input type=\"text\" name=\"newsettings[cc_attribute_name_0]\" value=\"\" style=\"width:170px;\"/> 
-                                <input type=\"text\" name=\"newsettings[cc_attribute_ldapname_0]\" value=\"\" style=\"width:170px;\"/> 
-                                <select name=\"newsettings[cc_attribute_type_0]\" style=\"width:86px; margin: 0px 0px 0px 8px;\">
+					$campos .= "<tr>
+									<td><input type=\"text\" name=\"newsettings[cc_attribute_name_0]\" value=\"\" style=\"width:170px;\"/> </td>
+									<td><input type=\"text\" name=\"newsettings[cc_attribute_ldapname_0]\" value=\"\" style=\"width:170px;\"/> </td>
+									<td><select name=\"newsettings[cc_attribute_type_0]\" style=\"width:86px; margin: 0px 0px 0px 8px;\">
                                         <option value=\"text\">" . lang('Text') . "</option>
                                         <option value=\"multivalues\">" . lang('Multivalued') . "</option>
-                                </select>
-								<select name=\"newsettings[cc_attribute_searchable_0]\" style=\"margin: 0px 16px;\">
+									</select></td>
+									<td><select name=\"newsettings[cc_attribute_searchable_0]\" style=\"margin: 0px 16px;\">
                                         <option value=\"true\">" . lang('Yes') . "</option>
                                         <option value=\"false\" selected=\"selected\">" . lang('No') . "</option>
-                                </select>
-                                <img src=\"contactcenter/templates/default/images/cc_x.png\" alt=\"". lang('Delete') ."\" style=\"width: 15px; height: 14px; cursor: pointer; position: relative; top: 3px;\" onclick=\"javascript:cc_attribute_delete(this)\"/> 
-                        </div>";
+									</select></td>
+									<td><img src=\"contactcenter/templates/default/images/cc_x.png\" alt=\"". lang('Delete') ."\" title=\"". lang('Delete') ."\" style=\"width: 15px; height: 14px; cursor: pointer; position: relative; top: 3px;\" onclick=\"javascript:cc_attribute_delete(this)\"/></td>
+								</tr>";				
         		}
+        		$campos = $campos . "</tbody></table>";
         		
         		$t->set_var('lang_add_button', lang('Add'));