Index: trunk/expressoMail1_2/templates/default/preferences.tpl
===================================================================
--- trunk/expressoMail1_2/templates/default/preferences.tpl	(revision 1121)
+++ trunk/expressoMail1_2/templates/default/preferences.tpl	(revision 5134)
@@ -215,4 +215,24 @@
         </td>
     </tr>
+
+    <tr bgcolor="{tr_color1}">
+        <td>{lang_catalog_search}</td>
+        <td align="center">
+			<select name="catalog_search">
+				<option {global_selected} value="1">{lang_global_catalog}</option>
+				<option {personal_selected} value="2">{lang_personal_catalog}</option>
+				<option {all_selected} value="3">{lang_all_catalog}</option>
+			</select>
+        </td>
+    </tr>
+	<tr bgcolor="{tr_color2}">
+        <td>
+			{lang_default_fields_quick_search}
+		</td>
+		<td align="center">
+			<input type="checkbox" name="use_signature" value=1 {checked_default_fields_quick_search}>
+		</td>
+    </tr>
+
     <tr bgcolor="{th_bg}">
     	<td colspan="2" >
Index: trunk/expressoMail1_2/templates/default/expressomail.css
===================================================================
--- trunk/expressoMail1_2/templates/default/expressomail.css	(revision 4492)
+++ trunk/expressoMail1_2/templates/default/expressomail.css	(revision 5134)
@@ -7,27 +7,94 @@
 
 /* thumbs list on message screen */
-.expressomail-thumbs { font-size:11px; width:100%; margin:20px 0 0 0; border-top:1px solid #AAA;}
+.expressomail-thumbs { font-size:11px; width:100%; max-width:100%; margin:20px 0 0 0; border-top:1px solid #AAA; float: left}
 .expressomail-thumbs-label {}
 .message_options {}
 .expressomail-thumbs span.message_tips { display:block; padding-left:18px; line-height:18px;height:18px; background-image: url(images/menu/ktip.png); background-repeat:no-repeat;}
 ul.expressomail-thumbs-list { list-style:none; margin:0; padding:0;}
-ul.expressomail-thumbs-list li {height:80px; max-width:120x; max-height:80px; display:block; float:left; margin: 5px; padding:0;}
-ul.expressomail-thumbs-list li img {width:100%; height:100%; border: 2px solid #FDE7BC;}
+ul.expressomail-thumbs-list li {height:80px;  max-width:120px; max-height:80px; display:block; float:left; margin: 5px; padding:0;}
+ul.expressomail-thumbs-list li img {width:auto; height:100%; border: 2px solid #FDE7BC;}
 .expressomail-thumbs-link { font-size:11px;}
+ .jcarousel-container { width: auto;}
+ 
+
+
 
 /* todo o resto */
 table.expressomail-message-body {width:100%; height:100%;}
-table.table_message {background-image: url(../../../phpgwapi/templates/default/images/fundo_msg.png); background-repeat:repeat-x;}
-.table_message{
-	cursor: default;
-	border-width: 1px;
-	border-spacing: 0px 0px;
-	border-style: outset;
+table.table_message {
+background: #96b3d3; /* Old browsers */
+background: -moz-linear-gradient(top, #96b3d3 0%, #b4c9e4 30%, #d9e6ef 65%, #e2e9f1 70%, #e9f0f8 78%, #e8f1fa 83%, #dbe5ef 96%, #d9e3ed 100%); /* FF3.6+ */
+background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#96b3d3), color-stop(30%,#b4c9e4), color-stop(65%,#d9e6ef), color-stop(70%,#e2e9f1), color-stop(78%,#e9f0f8), color-stop(83%,#e8f1fa), color-stop(96%,#dbe5ef), color-stop(100%,#d9e3ed)); /* Chrome,Safari4+ */
+background: -webkit-linear-gradient(top, #96b3d3 0%,#b4c9e4 30%,#d9e6ef 65%,#e2e9f1 70%,#e9f0f8 78%,#e8f1fa 83%,#dbe5ef 96%,#d9e3ed 100%); /* Chrome10+,Safari5.1+ */
+background: -o-linear-gradient(top, #96b3d3 0%,#b4c9e4 30%,#d9e6ef 65%,#e2e9f1 70%,#e9f0f8 78%,#e8f1fa 83%,#dbe5ef 96%,#d9e3ed 100%); /* Opera 11.10+ */
+background: -ms-linear-gradient(top, #96b3d3 0%,#b4c9e4 30%,#d9e6ef 65%,#e2e9f1 70%,#e9f0f8 78%,#e8f1fa 83%,#dbe5ef 96%,#d9e3ed 100%); /* IE10+ */
+background: linear-gradient(top, #96b3d3 0%,#b4c9e4 30%,#d9e6ef 65%,#e2e9f1 70%,#e9f0f8 78%,#e8f1fa 83%,#dbe5ef 96%,#d9e3ed 100%); /* W3C */
+filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#96b3d3', endColorstr='#d9e3ed',GradientType=0 ); /* IE6-9 */
+}
+table.expressomail-message-body tr{vertical-align:top;}
+
+
+
+
+.table_message_options{
+	background-color: #000;
+	
+	/* Apenas para ie qualquer versao */
+	-moz-border-collapse: separate;
 	border-color: gray;
-	border-collapse: separate;
-	border-radius: 3px;
+
+    border-spacing: 0;
+    border-style: outset;
+    border-width: 0.01;
+    cursor: default;
+    padding: 1px;
 	-moz-border-radius: 3px;
 	-webkit-border-radius: 3px;
+	
+	
+}
+
+.table_message_options_ie{
+
+	border-collapse: collapse;
+	background-color: #000;
+	border-color: gray;
+    border-spacing: 0;
+    border-style: outset;
+    border-width: 1;
+    cursor: default;
+    padding: 1px;
+	-moz-border-radius: 3px;
+	-webkit-border-radius: 3px;
+	
+	
+}
+
+.table_message{
+	background-color: #000;
+	
+	/* Apenas para ie qualquer versao */
+	-moz-border-collapse: separate;
+	border-color: gray;
+	border-radius: 3px 3px 3px 3px;
+    border-spacing: 0;
+    border-style: outset;
+    border-width: 1px;
+    cursor: default;
+    padding: 1px;
+	-moz-border-radius: 3px;
+	-webkit-border-radius: 3px;
+	
+	
 }
 
 .div_message_scroll { background: none repeat scroll 0% 0% WHITE; overflow: auto; padding-right: 5px;}
+a.message-attach-link { margin-left: 20px;}
+
+.messagescol td label {padding-right:20px;}
+.messagescol td.message-general-options .checkbox {margin: 5px 5px 0 0;}
+
+.ui-dialog-dragging {
+	opacity:0.4;
+	filter:alpha(opacity=40); /* For IE8 and earlier */
+}
Index: trunk/expressoMail1_2/templates/default/config.tpl
===================================================================
--- trunk/expressoMail1_2/templates/default/config.tpl	(revision 4832)
+++ trunk/expressoMail1_2/templates/default/config.tpl	(revision 5134)
@@ -103,5 +103,6 @@
     <td>{lang_Max_attachment_size}</td>
     <td>
-    <input size="1" name="newsettings[expressoMail_Max_attachment_size]" value="{value_expressoMail_Max_attachment_size}">&nbsp;Mb<span style='position:relative; left:20px;'>Max: {php_upload_limit}Mb.</span> 
+    <input size="2" name="newsettings[expressoMail_Max_attachment_size]" value="{value_expressoMail_Max_attachment_size}">&nbsp;Mb<span style='position:relative; left:20px;'>Max: {php_upload_limit}Mb.</span> 
+    <span style="color: red;margin-left: 30px"> *Valor 0 ou vazio = desativa a funcionalidade	</span>
     <input type="hidden" name="valida_alert" value="{lang_Value_exceeds_the_PHP_upload_limit_for_this_server}" /> 
     </td>
@@ -121,4 +122,22 @@
     <input size="80" name="newsettings[expressoMail_googlegears_url]" value="{value_expressoMail_googlegears_url}"> 
     </td>
+    </tr>
+        <tr bgcolor="{row_off}">
+        <td>{lang_gears_firefox_windows_url}</td>
+        <td>
+        <input size="60" name="newsettings[expressoMail_gears_firefox_windows]" value="{value_expressoMail_gears_firefox_windows}">
+        </td>
+    </tr>
+    <tr bgcolor="{row_on}">
+        <td>{lang_gears_firefox_linux_url}</td>
+        <td>
+        <input size="60" name="newsettings[expressoMail_gears_firefox_linux]" value="{value_expressoMail_gears_firefox_linux}">
+        </td>
+    </tr>
+   <tr bgcolor="{row_off}">
+        <td>{lang_gears_ie_url}</td>
+        <td>
+        <input size="60" name="newsettings[expressoMail_gears_ie]" value="{value_expressoMail_gears_ie}">
+        </td>
     </tr>
     <tr bgcolor="{row_on}">
@@ -157,23 +176,4 @@
 	   </tr> 
 
-
-    <tr bgcolor="{row_off}">
-        <td>{lang_gears_firefox_windows_url}</td>
-        <td>
-        <input size="60" name="newsettings[expressoMail_gears_firefox_windows]" value="{value_expressoMail_gears_firefox_windows}">
-        </td>
-    </tr>
-    <tr bgcolor="{row_on}">
-        <td>{lang_gears_firefox_linux_url}</td>
-        <td>
-        <input size="60" name="newsettings[expressoMail_gears_firefox_linux]" value="{value_expressoMail_gears_firefox_linux}">
-        </td>
-    </tr>
-   <tr bgcolor="{row_off}">
-        <td>{lang_gears_ie_url}</td>
-        <td>
-        <input size="60" name="newsettings[expressoMail_gears_ie]" value="{value_expressoMail_gears_ie}">
-        </td>
-    </tr>
 <!-- END body -->
 <!-- BEGIN footer -->
Index: trunk/expressoMail1_2/templates/default/index.tpl
===================================================================
--- trunk/expressoMail1_2/templates/default/index.tpl	(revision 5083)
+++ trunk/expressoMail1_2/templates/default/index.tpl	(revision 5134)
@@ -22,6 +22,7 @@
 							<td>
 								<div id="search_div" align="center" style="white-space:nowrap"></div>
-								<input type="text" id="em_message_search" size="16" maxlength="22" onfocus="javascript:onFocusQuickSearchEmail(this); return false;"/>
+								<input type="text" id="em_message_search" size="18" />
 								<a style="padding:1 8px; width:16px; height:16px; background: url(templates/default/images/search.gif) no-repeat center; margin: 0 3px;" class="" onMouseOut="window.status='';return true;" title='{lang_Open_Search_Window}' onMouseOver="window.status='{lang_Open_Search_Window}';return true;" href="javascript:void(0);"  onClick="javascript:search_emails(Element('em_message_search').value)"></a> 
+								
 								<a style="padding:1 8px; width:16px; height:16px; background: url(templates/default/images/users.gif) no-repeat center;" class="" onMouseOut="window.status='';return true;" title='{lang_search_user}' onMouseOver="window.status='{lang_search_user}' ;return true;" href="javascript:void(0);"  onClick="javascript:emQuickSearch(Element('em_message_search').value, 'null', 'null')"></a> 
 							</td>
@@ -131,25 +132,17 @@
 	</table>
 </div>
-<link href="../library/jquery/css/redmond/jquery-ui-1.8.16.custom.css" rel="stylesheet" type="text/css">
- 		<script type="text/javascript" src="../library/jquery/jquery-ui.min.js"></script> 
- 		<link href="templates/default/quick_search.css" rel="stylesheet" type="text/css"> 
- 		<div style="display:none; width: auto; min-height: 0px; height: 410px;" id="dialog-modal" title="{lang_quick_search_users_dialog_title}"> 
- 		    <div style="width:910px;height:410px;">                      
- 		            <div class="acc-list" style="width:370px;height:85%;float:left;border:1px solid #DDD;background-color:#EEE;border-radius:3px;margin-left:1px;"> 
- 		                    <h3 id="title_usuarios"></h3> 
- 		                    <ul id="selectable" style="width:370px; height:350px;"></ul>   
- 		                    <div class="demo" style="width:100%;margin-top:-5px;"> 
- 		                        <div id="slider"></div> 
- 		                            <p> 
- 		                                <label for="amount">{lang_page}: </label> 
- 		                                <input type="text" id="amount" style="border:0; font-weight:bold; width:85%" /> 
- 		                            </p>             
- 		                    </div> 
- 		            </div> 
- 		            <div style="width:525px;height:90%;float:left;">  
+<link href="../library/jquery/css/redmond/jquery-ui.css" rel="stylesheet" type="text/css">
+<script type="text/javascript" src="../library/jquery/jquery-ui.min.js"></script>
+                                       
+<script type="text/javascript" src="js/QuickCatalogSearch.js"></script>
+<link href="templates/default/quick_search.css" rel="stylesheet" type="text/css">
+<div style="display:none; width: auto; min-height: 0px; height: 410px; overflow: hidden" id="dialog-modal" class="dialog-modal expressomail-qs-container" title="{lang_quick_search_users_dialog_title}">
  		                <div id="accordion"> 
  		                        <div class="ui-widget" align="right"> 
- 		                            <label>{lang_search}: </label> 
- 		                                <input type="text" id="busca" size=30></input>                             
+							<fieldset class="search-field ui-corner-all" style>
+								<span class="ui-icon ui-icon-search"></span>
+								<input class="search" id="busca" onFocus="setFocus();" onBlur="removeFocus();" onkeypress="javascript: if(checkEnter(event)) {buscaContato(this.value); }" type="text" />
+							</fieldset>
+							<fieldset class="search-catalog-options ui-corner-all">
  		                            <select id="combobox"> 
  		                                <!-- Pegar essas opções das preferências --> 
@@ -158,14 +151,37 @@
  		                                <option value="all">{lang_all_catalogs}</option> 
  		                            </select> 
- 		                            <input type="button" value="Buscar" onClick=buscaContato(busca.value); /> 
- 		                            <input type="button" value="?" onClick="alert('Busca rápida de contatos versão 0.1\nPrognus Software Livre')" /> 
- 		                        </div> 
- 		                        <fieldset id="fieldset1" style="width:490px;height:85%;float:right;"> 
- 		                            <legend>{lang_contact_details}</legend> 
- 		                                <div style="float:left;"> <span id="detalhes_contato">---</span> </div> 
  		                        </fieldset>     
+                            <input class="button" type="button" value="Buscar" onClick="buscaContato(busca.value);"/>
+                            <input class="button" type="button" value="?" onClick="show_help()" />
  		                 </div>   
  		             </div> 
+		                <fieldset id="fieldset1" class="details-container ui-corner-all">
+                            <legend>{lang_contact_details}</legend>
+                            <div style="overflow: auto; height: 230px;" id="detalhes_contato"></div>
+                        </fieldset>    
+            <div class="acc-list"> <ul id="selectable"></ul></div>
+                    <div class="demo" style="float: left; margin-top: 10px; width: 100%; height: 20px; padding:5px 0 0 0;">
+                        <div id="slider" style="width: 448px;"></div>
+                            <p style="margin-top: -15px; margin-bottom: 0pt; margin-left: 453px; float: left;">
+                                <label for="amount">{lang_page}: </label>
+                                <input type="text" id="amount-text" style="border:0; font-weight:bold;" readonly="true" />
+                            </p>            
  		        </div> 
+</div>
+<div style="display:none; width: auto; min-height: 0px; height: 380px;" id="dialog-modal_help" title="{lang_dialog_help} Help busca rápida de contatos"> 
+	<fieldset id="fieldset2">
+        <legend>{lang_help} Busca rápida de contatos</legend>
+		<div>
+			<strong>Para a utilização dessa funcionalidade, podem ser usados os seguintes atalhos:</strong><br><br><br>
+			<ul>
+				<li>Ir para a página anterior - Seta para esquerda</li>
+				<li>Mover para contato acima - Seta para cima</li>
+				<li>Mover para contato abaixo - Seta para baixo</li>
+				<li>Mover para a próxima página - Seta para direita</li>
+				<li>Adicionar contato selecionado - Enter</li>
+				<li>Fechar - Esc</li>
+			</ul> 
  		</div> 
+	</fieldset>   
+</div>
 <!-- END list -->
Index: trunk/expressoMail1_2/templates/default/quick_search.css
===================================================================
--- trunk/expressoMail1_2/templates/default/quick_search.css	(revision 5075)
+++ trunk/expressoMail1_2/templates/default/quick_search.css	(revision 5134)
@@ -1,58 +1,112 @@
 /* Estilos da tela de busca rápida de contatos */
 
-                body { font-size:11px;} 
-                fieldset, div {margin:0;}
-                .ui-autocomplete-input { height:22px; width:200px; margin-right:-1px; }
-                #wrap-progressbar { height:22px; width:122px;  float:left; }
-                #wrap-progressbar #inner-progressbar { text-align:center; width:100px; }
-                #wrap-progressbar #inner-progressbar span { font-size:10px; line-height:12px; }
-                #wrap-progressbar #inner-progressbar #progressbar { width:100px; height:10px; }
-                .clear {clear:both;}
-                #fieldset1 label {width:495px;display:inline-block; border:4px solid #72A9D3;}
-                fieldset { border:1px solid #AAA; border-radius:5px; margin:5px; }
-                ul {list-style:none; margin:0; padding:0;}
-                
-                #list-acc-users li, #search-result-users li {margin-right:5px;border-radius:3px;}
-                #list-acc-mails li {margin-right:5px;padding-bottom:4px;border-radius:3px;}
-                #list-acc-users li:hover, #list-acc-mails li:hover, #search-result-users li:hover {background-color:#DDD;}
-                #list-acc-users li span.ui-icon, #list-acc-mails li span.ui-icon, #search-result-users li span.ui-icon {display:none; margin:2px;}
-                #list-acc-users li input, #list-acc-mails li input, #search-result-users li input {margin-top:5px;}
-                #list-acc-users li label, #list-acc-mails li label, #search-result-users li label {margin-top:-5px;}
-                #list-acc-users li:hover span, #list-acc-mails li:hover span, #search-result-users li:hover span {display:inline;}
-                #search-result-users li span.ui-icon {display:none;}
-                .ui-icon {float:right;}
-                #icon-bar1 .ui-icon {float:left; margin:0 3px;}
-                 #icon-bar1 span {float:left; margin:2px 3px 0 0;}
-                .ui-icon-trash, .ui-icon-edit, .ui-icon-close, .ui-icon-plus, .ui-icon-pencil {background-color:#EEE;}
-                .ui-icon-trash:hover, .ui-icon-edit:hover, .ui-icon-close:hover, .ui-icon-plus:hover, .ui-icon-pencil:hover {background-color:#BBB;}
-                .ui-autocomplete-input {width:170px;}
-                .ui-accordion .ui-accordion-content{padding:5px;}
+.expressomail-qs-container { font-size:11px;} 
+.expressomail-qs-container legend { font-size:1.1em; font-weight: bold; } 
+.expressomail-qs-container #accordion { margin: 5px;} 
+.expressomail-qs-container fieldset, .expressomail-qs-container div {margin:0;}
+.expressomail-qs-container .ui-autocomplete-input { height:22px; width:200px; margin-right:-1px; }
+.expressomail-qs-container #wrap-progressbar { height:22px; width:122px;  float:left; }
+.expressomail-qs-container #wrap-progressbar #inner-progressbar { text-align:center; width:100px; }
+.expressomail-qs-container #wrap-progressbar #inner-progressbar span { font-size:10px; line-height:12px; }
+.expressomail-qs-container #wrap-progressbar #inner-progressbar #progressbar { width:100px; height:10px; }
+.expressomail-qs-container .clear {clear:both;}
+/*.expressomail-qs-container #fieldset1 label {width:495px;display:inline-block; border:4px solid #72A9D3;}*/
+.expressomail-qs-container fieldset { border:1px solid #AAA; border-radius:5px; margin:5px; }
+.expressomail-qs-container #ul {list-style:none; margin:0; padding:0;}
+.expressomail-qs-container #fieldset1 {color:#444;}
+.expressomail-qs-container #fieldset1 label {font-weight:bold; display:block;}
 
-                .foot-note {width:905px; padding:5px;margin-top:20px;border-top:1px solid #ddd;}
-                .acc-list {font-family: "Trebuchet MS", Tahoma, Verdana, Arial, sans-serif; font-size:11px; color:#555; }
-                .acc-list h3{font-family: "Trebuchet MS", Tahoma, Verdana, Arial, sans-serif; font-size:11px; color:#555; margin:0; padding:5px 3px; background-color:#fff;}
-                .acc-list ul{ margin:5px 0;}
-                .acc-list ul li{ border-radius:3px; padding:10px;}
-                .acc-list ul li:hover {background-color:#DDD;}
-                .acc-list ul li.active {background-color:#EB8F00;}
-                .acc-list ul li strong {display:block;}
-                .acc-list ul li em {display:block;}
+.expressomail-qs-container #list-acc-users li, .expressomail-qs-container #search-result-users li {margin-right:5px;border-radius:3px;}
+.expressomail-qs-container #list-acc-mails li {margin-right:5px;padding-bottom:4px;border-radius:3px;}
+.expressomail-qs-container #list-acc-users li:hover, .expressomail-qs-container #list-acc-mails li:hover, .expressomail-qs-container #search-result-users li:hover {background-color:#DDD;}
+.expressomail-qs-container #list-acc-users li span.ui-icon, .expressomail-qs-container #list-acc-mails li span.ui-icon, .expressomail-qs-container #search-result-users li span.ui-icon {display:none; margin:2px;}
+.expressomail-qs-container #list-acc-users li input, .expressomail-qs-container #list-acc-mails li input, .expressomail-qs-container #search-result-users li input {margin-top:5px;}
+.expressomail-qs-container #list-acc-users li label, .expressomail-qs-container #list-acc-mails li label, .expressomail-qs-container #search-result-users li label {margin-top:-5px;}
+.expressomail-qs-container #list-acc-users li:hover span, .expressomail-qs-container #list-acc-mails li:hover span, .expressomail-qs-container #search-result-users li:hover span {display:inline;}
+.expressomail-qs-container #search-result-users li span.ui-icon {display:none;}
+.expressomail-qs-container .ui-icon {float:right;}
+.expressomail-qs-container #icon-bar1 .ui-icon {float:left; margin:0 3px;}
+.expressomail-qs-container #icon-bar1 span {float:left; margin:2px 3px 0 0;}
+.expressomail-qs-container .ui-icon-trash, .expressomail-qs-container .ui-icon-edit, .expressomail-qs-container .ui-icon-close, .expressomail-qs-container .ui-icon-plus, .expressomail-qs-container .ui-icon-pencil {background-color:#EEE;}
+.expressomail-qs-container .ui-icon-trash:hover, .expressomail-qs-container .ui-icon-edit:hover, .expressomail-qs-container .ui-icon-close:hover, .expressomail-qs-container .ui-icon-plus:hover, .expressomail-qs-container .ui-icon-pencil:hover {background-color:#BBB;}
+.expressomail-qs-container .ui-autocomplete-input {width:170px;}
+.expressomail-qs-container .ui-accordion .ui-accordion-content{padding:5px;}
 
-                /*Específico do selectable*/
-                #feedback { font-size: 1.4em; }
-                #selectable .ui-selecting { background: #DDECF7; }
-                /* #selectable .ui-selected { background: #F39814; color: white; }   Aqui eu troquei a cor de quando era selecionada a linha */
-                #selectable .ui-selected { background: #72A9D3; color: white; }
-                
-                #selectable { list-style-type: none; margin: 0; padding: 0; width: 100%; }
-                ul#selectable { overflow: hidden; width: 370px;}
-                ul#selectable li { width: 300px; overflow:hidden; }
-                ul#selectable li.ui-selected { width: 81%;  }
-                ul#selectable li div { width: 6000px; }
-                .ui-button-icon-only { width: 1.2em; }
-                .ui-icon { margin-left: -8px; }
-                .ui-widget button { border: 0 solid; } 
-            
-                #dialog-modal { height: 416px; }
+.expressomail-qs-container .foot-note {width:905px; padding:5px;margin-top:20px;border-top:1px solid #ddd;}
+.expressomail-qs-container .acc-list {font-family: "Trebuchet MS", Tahoma, Verdana, Arial, sans-serif; font-size:11px; color:#555; }
+.expressomail-qs-container .acc-list h3{font-family: "Trebuchet MS", Tahoma, Verdana, Arial, sans-serif; font-size:11px; color:#555; margin:0; padding:5px 3px; background-color:#fff;}
+.expressomail-qs-container .acc-list ul{ margin:5px 0;}
+.expressomail-qs-container .acc-list ul li{ border-radius:3px; padding:5px;}
+.expressomail-qs-container .acc-list ul li:hover {background-color:#DDD;}
+.expressomail-qs-container .acc-list ul li.active {background-color:#EB8F00;}
+.expressomail-qs-container .acc-list ul li strong {display:block;}
+.expressomail-qs-container .acc-list ul li em {display:block;}
+
+/*Específico do selectable*/
+.expressomail-qs-container #feedback { font-size: 1.4em; }
+.expressomail-qs-container #selectable .ui-selecting { background: #DDECF7; }
+/* #selectable .ui-selected { background: #F39814; color: white; }   Aqui eu troquei a cor de quando era selecionada a linha */
+.expressomail-qs-container #selectable .ui-selected { background: #72A9D3; color: white; }
+
+.expressomail-qs-container #selectable { list-style-type: none; margin: 0; padding: 0; width: 100%; }
+.expressomail-qs-container ul#selectable { overflow: hidden; width: 444px; height: 250px;}
+.expressomail-qs-container ul#selectable li { width: 435px; overflow:hidden; }
+.expressomail-qs-container ul#selectable li.ui-selected { width: 100%;  }
+.expressomail-qs-container ul#selectable li div { width: 6000px; }
+.expressomail-qs-container .ui-button-icon-only { width: 1.2em; }
+.expressomail-qs-container .ui-icon { margin-left: -8px; }
+.expressomail-qs-container .ui-widget button { border: 0 solid; } 
+
+.expressomail-qs-container .menu-control { float:right; margin-left:380px; position: absolute; z-index: 100; padding-top:5px;}
+.expressomail-qs-container .acc-list { width:444px;height:250px;float:left;border:1px solid #DDD;background-color:#EEE;border-radius:3px;margin-left:1px; margin: 10px 5px 5px 1px;}
+.expressomail-qs-container .details-container { width:300px;height:246px; float:right; margin: 5px 0;}
+
+.expressomail-qs-container .acc-list .demo {width:100%;margin-top:20px;}
+
+.dialog-modal.expressomail-qs-container  { height: 416px; padding:5px; }
+
+.ui-dialog .ui-dialog-buttonpane { padding: 0; border:none; margin: 0;}
+.expressomail-qs-container .menu-control .ui-button-text-only .ui-button-text { padding: 0.1em 0.6em; }
+
+/* search area definition */
+fieldset.search-field, fieldset.search-catalog-options {
+	border:1px solid #CFCFCF;
+	padding: 5px;
+}
+
+fieldset.search-field input, fieldset.search-catalog-options select{
+	display: inline-block;
+	border: none;
+	background-color: #FFF;
+}
+
+fieldset.search-field span {
+	display: inline-block;
+	margin:0 0 -3px 5px;
+}
+
+/* #search area definition */
+fieldset.search-field { max-width: 190px; width: 190px; margin: 0px; text-align: left; display: inline;}
+fieldset.search-field input { max-width: 165px; width: 165px; }
+
+fieldset.search-catalog-options { max-width: 124px; width: 120px; margin: 0px; text-align: left; display: inline;}
+fieldset.search-catalog-options select { max-width: 120px; width: 120px; }
+
+
+.ui-dialog .ui-dialog-titlebar-minimize {
+    height: 18px;
+    margin: -10px 0 0;
+    padding: 1px;
+    position: absolute;
+    right: 1.8em;
+    top: 50%;
+    width: 19px;
+}
+
+.ui-dialog-buttonpane .ui-button {
+	margin-top: 0;
+	padding-top: 0;
+}
 
  
+.button-mod { margin-top: -2.5em; }
Index: trunk/expressoMail1_2/templates/default/main.css
===================================================================
--- trunk/expressoMail1_2/templates/default/main.css	(revision 4815)
+++ trunk/expressoMail1_2/templates/default/main.css	(revision 5134)
@@ -8,10 +8,10 @@
 	word-wrap: break-word !important; /* Internet Explorer 5.5+ */
 	font-family: monospace !important;	
+	/*font-size: 10pt !important;*/
 	font-size: 11px !important;
 }
-
-* {
+/** {
 	font-family: Verdana, Arial, Helvetica, sans-serif;	
-}
+}*/
 
 .checkbox{
@@ -33,5 +33,5 @@
 	background: #ffffff;
 	border-bottom: 1px solid #f4f8fb;
-	font-family: Arial;
+	font-family: Verdana, Arial, Helvetica, sans-serif;;
 	font-size: 13px;
 	cursor: pointer;
@@ -151,5 +151,5 @@
 	border-collapse: collapse;
 	border-color: #bbbbbb;
-	font-family: Arial;
+	font-family: Verdana,Arial,Helvetica,sans-serif;
 	font-size: 13px;	
 	cursor: pointer;
@@ -188,4 +188,6 @@
     -moz-border-radius: 9px 9px 0px 0px;
     -moz-user-select: none;
+    -webkit-border-radius: 9px 9px 0px 0px;
+    border-radius: 9px 9px 0px 0px;
     cursor: pointer;	
 }
@@ -202,4 +204,6 @@
     -moz-border-radius: 9px 9px 0px 0px;
     -moz-user-select: none;
+    -webkit-border-radius: 9px 9px 0px 0px;
+    border-radius: 9px 9px 0px 0px;
     cursor: pointer;
 }
@@ -223,4 +227,5 @@
 .tr_message_header{
 	background-color: #EEEEEE;
+	font-family: Verdana, Arial, Helvetica, sans-serif;
 	cursor: default;
 	border-style: none none none none;
@@ -552,7 +557,10 @@
 /* hack para o chrome */
 @media screen and (-webkit-min-device-pixel-ratio:0){
-	input[type="file"]
-	{
-		      width:500px;
+	input[type="file"]{
+	background-color: #FFF;
+	border: 1px solid #e4e4e4;
+	height: 20px;
+	width: 350px;
+	vertical-align: middle;
 	}
 }