Index: trunk/calendar/js/dhtmlx/samples/06_timeline/php/events_tree_db.php
===================================================================
--- trunk/calendar/js/dhtmlx/samples/06_timeline/php/events_tree_db.php	(revision 4001)
+++ 	(revision )
@@ -1,11 +1,0 @@
-<?php
-	include ('../../../codebase/connector/scheduler_connector.php');
-	include ('../../common/config.php');
-	
-	$res=mysql_connect($server, $user, $pass);
-	mysql_select_db($db_name);
-	
-	$scheduler = new schedulerConnector($res);
-	//$scheduler->enable_log("log.txt",true);
-	$scheduler->render_table("events_tt","event_id","start_date,end_date,event_name,details,section_id,section2_id");
-?>
Index: trunk/calendar/js/dhtmlx/samples/06_timeline/03_tree.html
===================================================================
--- trunk/calendar/js/dhtmlx/samples/06_timeline/03_tree.html	(revision 4001)
+++ 	(revision )
@@ -1,136 +1,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
-<head>
-	<meta http-equiv="Content-type" content="text/html; charset=utf-8">
-	<title>For demo purpose only :: &1</title>
-	
-	
-	<script src='../../codebase/dhtmlxscheduler.js' type="text/javascript" charset="utf-8"></script>
-	<script src='../../codebase/ext/dhtmlxscheduler_timeline.js' type="text/javascript" charset="utf-8"></script>
-	<script src='../../codebase/ext/dhtmlxscheduler_treetimeline.js' type="text/javascript" charset="utf-8"></script>
-	
-	<link rel='stylesheet' type='text/css' href='../../codebase/dhtmlxscheduler.css'>
-	<link rel="stylesheet" href="../../codebase/ext/dhtmlxscheduler_ext.css" type="text/css" media="screen" title="no title" charset="utf-8">
-	
-</head>
-
-	
-<style type="text/css" media="screen">
-	html, body{
-		margin:0px;
-		padding:0px;
-		height:100%;
-		overflow:hidden;
-	}	
-	.one_line{
-		white-space:nowrap;
-		overflow:hidden;
-		padding-top:5px; padding-left:5px;
-		text-align:left !important;
-	}
-</style>
-
-<script type="text/javascript" charset="utf-8">
-	function init() {
-
-		scheduler.locale.labels.timeline_tab = "Timeline";
-		scheduler.locale.labels.section_custom="Section";
-		scheduler.config.details_on_create=true;
-		scheduler.config.details_on_dblclick=true;
-		scheduler.config.xml_date="%Y-%m-%d %H:%i";
-		
-		
-		//===============
-		//Configuration
-		//===============	
-		
-		elements = [ // original hierarhical array to display
-			{key:10, label:"Web Testing Dep.", open: true, children: [
-				{key:20, label:"Elizabeth Taylor"},
-				{key:30, label:"Managers",  children: [
-					{key:40, label:"John Williams"},
-					{key:50, label:"David Miller"}
-				]},
-				{key:60, label:"Linda Brown"},
-				{key:70, label:"George Lucas"}
-			]},
-			{key:110, label:"Human Relations Dep.", open:true, children: [
-				{key:80, label:"Kate Moss"},
-				{key:90, label:"Dian Fossey"}
-			]}
-		];
-		
-		
-		
-		scheduler.createTimelineView({
-			section_autoheight: false,
-			name:	"timeline",
-			x_unit:	"minute",
-			x_date:	"%H:%i",
-			x_step:	30,
-			x_size: 24,
-			x_start: 16,
-			x_length:	48,
-			y_unit: elements,
-			y_property:	"section_id",
-			render: "tree",
-			folder_dy:20,
-			dy:60
-		});
-		
-		
-		
-
-		//===============
-		//Data loading
-		//===============
-		scheduler.config.lightbox.sections=[	
-			{name:"description", height:130, map_to:"text", type:"textarea" , focus:true},
-			{name:"custom", height:23, type:"timeline", options:null , map_to:"section_id" }, //type should be the same as name of the tab
-			{name:"time", height:72, type:"time", map_to:"auto"}
-		]
-		
-		scheduler.init('scheduler_here',new Date(2009,5,30),"timeline");
-		scheduler.parse([
-			{ start_date: "2009-06-30 09:00", end_date: "2009-06-30 12:00", text:"Task A-12458", section_id:20},
-			{ start_date: "2009-06-30 10:00", end_date: "2009-06-30 16:00", text:"Task A-89411", section_id:20},
-			{ start_date: "2009-06-30 10:00", end_date: "2009-06-30 14:00", text:"Task A-64168", section_id:20},
-			{ start_date: "2009-06-30 16:00", end_date: "2009-06-30 17:00", text:"Task A-46598", section_id:20},
-			
-			{ start_date: "2009-06-30 12:00", end_date: "2009-06-30 20:00", text:"Task B-48865", section_id:40},
-			{ start_date: "2009-06-30 14:00", end_date: "2009-06-30 16:00", text:"Task B-44864", section_id:40},
-			{ start_date: "2009-06-30 16:30", end_date: "2009-06-30 18:00", text:"Task B-46558", section_id:40},
-			{ start_date: "2009-06-30 18:30", end_date: "2009-06-30 20:00", text:"Task B-45564", section_id:40},
-			
-			{ start_date: "2009-06-30 08:00", end_date: "2009-06-30 12:00", text:"Task C-32421", section_id:50},
-			{ start_date: "2009-06-30 14:30", end_date: "2009-06-30 16:45", text:"Task C-14244", section_id:50},
-			
-			{ start_date: "2009-06-30 09:20", end_date: "2009-06-30 12:20", text:"Task D-52688", section_id:60},
-			{ start_date: "2009-06-30 11:40", end_date: "2009-06-30 16:30", text:"Task D-46588", section_id:60},
-			{ start_date: "2009-06-30 12:00", end_date: "2009-06-30 18:00", text:"Task D-12458", section_id:60}
-		],"json");
-		
-		
-		
-	}
-	
-</script>
-
-<body onload="init();">
-	<div id="scheduler_here" class="dhx_cal_container" style='width:100%; height:100%;'>
-		<div class="dhx_cal_navline">
-			<div class="dhx_cal_prev_button">&nbsp;</div>
-			<div class="dhx_cal_next_button">&nbsp;</div>
-			<div class="dhx_cal_today_button"></div>
-			<div class="dhx_cal_date"></div>
-			<div class="dhx_cal_tab" name="day_tab" style="right:204px;"></div>
-			<div class="dhx_cal_tab" name="week_tab" style="right:140px;"></div>
-			<div class="dhx_cal_tab" name="timeline_tab" style="right:280px;"></div>
-			<div class="dhx_cal_tab" name="month_tab" style="right:76px;"></div>
-		</div>
-		<div class="dhx_cal_header">
-		</div>
-		<div class="dhx_cal_data">
-		</div>		
-	</div>
-</body>
Index: trunk/calendar/js/dhtmlx/samples/06_timeline/05_drag.html
===================================================================
--- trunk/calendar/js/dhtmlx/samples/06_timeline/05_drag.html	(revision 4001)
+++ 	(revision )
@@ -1,141 +1,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
-<head>
-	<meta http-equiv="Content-type" content="text/html; charset=utf-8">
-	<title>For demo purpose only :: &1</title>
-	
-	<script src='../../codebase/dhtmlxscheduler.js' type="text/javascript" charset="utf-8"></script>
-	<script src='../../codebase/ext/dhtmlxscheduler_timeline.js' type="text/javascript" charset="utf-8"></script>
-	<script src='../../codebase/ext/dhtmlxscheduler_outerdrag.js' type="text/javascript" charset="utf-8"></script>
-	
-	
-	
-	<link rel='stylesheet' type='text/css' href='../../codebase/dhtmlxscheduler.css'>
-	<link rel="stylesheet" href="../../codebase/ext/dhtmlxscheduler_ext.css" type="text/css" media="screen" title="no title" charset="utf-8">
-	
-	<script src='../../../dhtmlxTree/codebase/dhtmlxtree.js' type="text/javascript" charset="utf-8"></script>
-	<link rel='stylesheet' type='text/css' href='../../../dhtmlxTree/codebase/dhtmlxtree.css'>
-	
-</head>
-
-	
-<style type="text/css" media="screen">
-	html, body{
-		margin:0px;
-		padding:0px;
-		height:100%;
-		overflow:hidden;
-	}	
-</style>
-
-<script type="text/javascript" charset="utf-8">
-	function init() {
-		if (!window.dhtmlXTreeObject){
-			alert("Sample requires dhtmlxTree");
-			return;
-		}
-		
-		var tree = new dhtmlXTreeObject("treebox","100%","100%",0);
-		tree.enableDragAndDrop(true);
-		tree.attachEvent("onDrag", function(){ return false; });
-		tree.setImagePath("../../../dhtmlxTree/codebase/imgs/csh_yellowbooks/");
-		tree.loadXML("../../../dhtmlxTree/samples/common/tree.xml");
-		
-		
-		//key point!
-		//convert data from tree in property of event
-		//similar approach can be used for any other dhtmlx component
-		scheduler.attachEvent("onExternalDragIn", function(id, source, e){
-			var label = tree.getItemText(tree._dragged[0].id);
-			scheduler.getEvent(id).text = label;
-			return true;
-		});
-
-			
-
-		scheduler.locale.labels.timeline_tab = "Timeline";
-		scheduler.locale.labels.section_custom="Section";
-		
-		scheduler.config.details_on_create=true;
-		scheduler.config.details_on_dblclick=true;
-		scheduler.config.xml_date="%Y-%m-%d %H:%i";
-		
-		
-		//===============
-		//Configuration
-		//===============
-		var sections=[
-			{key:1, label:"James Smith"},
-			{key:2, label:"John Williams"},
-			{key:3, label:"David Miller"},
-			{key:4, label:"Linda Brown"}
-		];
-		
-		scheduler.createTimelineView({
-			name:	"timeline",
-			x_unit:	"minute",
-			x_date:	"%H:%i",
-			x_step:	30,
-			x_size: 24,
-			x_start: 16,
-			x_length:	48,
-			y_unit:	sections,
-			y_property:	"section_id",
-			render:"bar"
-		});
-		
-
-		
-		
-		//===============
-		//Data loading
-		//===============
-		scheduler.config.lightbox.sections=[	
-			{name:"description", height:130, map_to:"text", type:"textarea" , focus:true},
-			{name:"custom", height:23, type:"select", options:sections, map_to:"section_id" },
-			{name:"time", height:72, type:"time", map_to:"auto"}
-		]
-		
-		scheduler.init('scheduler_here',new Date(2009,5,30),"timeline");
-		scheduler.parse([
-			{ start_date: "2009-06-30 09:00", end_date: "2009-06-30 12:00", text:"Task A-12458", section_id:1},
-			{ start_date: "2009-06-30 10:00", end_date: "2009-06-30 16:00", text:"Task A-89411", section_id:1},
-			{ start_date: "2009-06-30 10:00", end_date: "2009-06-30 14:00", text:"Task A-64168", section_id:1},
-			{ start_date: "2009-06-30 16:00", end_date: "2009-06-30 17:00", text:"Task A-46598", section_id:1},
-			
-			{ start_date: "2009-06-30 12:00", end_date: "2009-06-30 20:00", text:"Task B-48865", section_id:2},
-			{ start_date: "2009-06-30 14:00", end_date: "2009-06-30 16:00", text:"Task B-44864", section_id:2},
-			{ start_date: "2009-06-30 16:30", end_date: "2009-06-30 18:00", text:"Task B-46558", section_id:2},
-			{ start_date: "2009-06-30 18:30", end_date: "2009-06-30 20:00", text:"Task B-45564", section_id:2},
-			
-			{ start_date: "2009-06-30 08:00", end_date: "2009-06-30 12:00", text:"Task C-32421", section_id:3},
-			{ start_date: "2009-06-30 14:30", end_date: "2009-06-30 16:45", text:"Task C-14244", section_id:3},
-			
-			{ start_date: "2009-06-30 09:20", end_date: "2009-06-30 12:20", text:"Task D-52688", section_id:4},
-			{ start_date: "2009-06-30 11:40", end_date: "2009-06-30 16:30", text:"Task D-46588", section_id:4},
-			{ start_date: "2009-06-30 12:00", end_date: "2009-06-30 18:00", text:"Task D-12458", section_id:4}
-		],"json");
-		
-	}
-	
-</script>
-
-<body onload="init();">
-	<div id="treebox" style="position:absolute; top:0px; left:0px; width:250px; height:100%;"></div>
-	<div id="scheduler_here" class="dhx_cal_container" style='width:1000px; height:100%; position:absolute; top:0px; left:250px'>
-		<div class="dhx_cal_navline">
-			<div class="dhx_cal_prev_button">&nbsp;</div>
-			<div class="dhx_cal_next_button">&nbsp;</div>
-			<div class="dhx_cal_today_button"></div>
-			<div class="dhx_cal_date"></div>
-			<div class="dhx_cal_tab" name="day_tab" style="right:204px;"></div>
-			<div class="dhx_cal_tab" name="week_tab" style="right:140px;"></div>
-			<div class="dhx_cal_tab" name="timeline_tab" style="right:280px;"></div>
-			<div class="dhx_cal_tab" name="month_tab" style="right:76px;"></div>
-		</div>
-		<div class="dhx_cal_header">
-		</div>
-		<div class="dhx_cal_data">
-		</div>		
-	</div>
-</body>
Index: trunk/calendar/js/dhtmlx/samples/06_timeline/01_slots.html
===================================================================
--- trunk/calendar/js/dhtmlx/samples/06_timeline/01_slots.html	(revision 4001)
+++ 	(revision )
@@ -1,120 +1,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
-<head>
-	<meta http-equiv="Content-type" content="text/html; charset=utf-8">
-	<title>For demo purpose only :: &1</title>
-</head>
-	<script src='../../codebase/dhtmlxscheduler.js' type="text/javascript" charset="utf-8"></script>
-	<script src='../../codebase/ext/dhtmlxscheduler_timeline.js' type="text/javascript" charset="utf-8"></script>
-	
-	<link rel='STYLESHEET' type='text/css' href='../../codebase/dhtmlxscheduler.css'>
-	<link rel="stylesheet" href="../../codebase/ext/dhtmlxscheduler_ext.css" type="text/css" media="screen" title="no title" charset="utf-8">
-	
-	
-	
-
-	
-<style type="text/css" media="screen">
-	html, body{
-		margin:0px;
-		padding:0px;
-		height:100%;
-		overflow:hidden;
-	}	
-	.white_cell{
-		background-color:white;
-	}
-	.green_cell{
-		background-color:#95FF95;
-	}
-	.yellow_cell{
-		background-color:#FFFF79;
-	}
-	.red_cell{
-		background-color:#FF5353;
-	}
-</style>
-
-<script type="text/javascript" charset="utf-8">
-	function init() {
-
-		scheduler.locale.labels.matrix_tab = "Matrix"
-		scheduler.locale.labels.section_custom="Section";
-		scheduler.config.details_on_create=true;
-		scheduler.config.details_on_dblclick=true;
-		scheduler.config.xml_date="%Y-%m-%d %H:%i";
-		scheduler.config.multi_day = true;
-		brief_mode = true; 
-		
-		
-		//===============
-		//Configuration
-		//===============
-		var sections=[
-			{key:1, label:"Section A"},
-			{key:2, label:"Section B"},
-			{key:3, label:"Section C"},
-			{key:4, label:"Section D"}
-		];
-		
-		scheduler.createTimelineView({
-			name:	"matrix",
-			x_unit:	"day",
-			x_date:	"%d %M",
-			x_step:	1,
-			x_size: 15,
-			y_unit:	sections,
-			y_property:	"section_id"
-		});
-		
-		//===============
-		//Customization
-		//===============
-		scheduler.templates.matrix_cell_class = function(evs,x,y){
-			if (!evs) {
-				var day = x.getDay();
-				return (day==0 || day == 6) ? "yellow_cell" : "white_cell";
-			}
-			if (evs.length<3) return "green_cell";
-			if (evs.length<5) return "yellow_cell";
-			return "red_cell";
-		};
-
-		scheduler.templates.matrix_scalex_class = function(date){
-			if (date.getDay()==0 || date.getDay()==6)  return "yellow_cell";
-			return "";
-		}
-		
-	
-		//===============
-		//Data loading
-		//===============
-		scheduler.config.lightbox.sections=[	
-			{name:"description", height:130, map_to:"text", type:"textarea" , focus:true},
-			{name:"custom", height:23, type:"select", options:sections, map_to:"section_id" },
-			{name:"time", height:72, type:"time", map_to:"auto"}
-		]
-		
-		scheduler.init('scheduler_here',new Date(2009,5,30),"matrix");
-		scheduler.load("../common/units.xml");
-	}
-</script>
-
-<body onload="init();">
-	<div id="scheduler_here" class="dhx_cal_container" style='width:100%; height:100%;'>
-		<div class="dhx_cal_navline">
-			<div class="dhx_cal_prev_button">&nbsp;</div>
-			<div class="dhx_cal_next_button">&nbsp;</div>
-			<div class="dhx_cal_today_button"></div>
-			<div class="dhx_cal_date"></div>
-			<div class="dhx_cal_tab" name="day_tab" style="right:204px;"></div>
-			<div class="dhx_cal_tab" name="week_tab" style="right:140px;"></div>
-			<div class="dhx_cal_tab" name="matrix_tab" style="right:280px;"></div>
-			<div class="dhx_cal_tab" name="month_tab" style="right:76px;"></div>
-		</div>
-		<div class="dhx_cal_header">
-		</div>
-		<div class="dhx_cal_data">
-		</div>		
-	</div>
-</body>
Index: trunk/calendar/js/dhtmlx/samples/06_timeline/04_tree_db.html
===================================================================
--- trunk/calendar/js/dhtmlx/samples/06_timeline/04_tree_db.html	(revision 4001)
+++ 	(revision )
@@ -1,114 +1,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
-<head>
-	<meta http-equiv="Content-type" content="text/html; charset=utf-8">
-	<title>For demo purpose only :: &1</title>
-	
-	
-	<script src='../../codebase/dhtmlxscheduler.js' type="text/javascript" charset="utf-8"></script>
-	<script src='../../codebase/ext/dhtmlxscheduler_timeline.js' type="text/javascript" charset="utf-8"></script>
-	<script src='../../codebase/ext/dhtmlxscheduler_treetimeline.js' type="text/javascript" charset="utf-8"></script>
-	
-	<link rel='stylesheet' type='text/css' href='../../codebase/dhtmlxscheduler.css'>
-	<link rel="stylesheet" href="../../codebase/ext/dhtmlxscheduler_ext.css" type="text/css" media="screen" title="no title" charset="utf-8">
-	
-</head>
-
-	
-<style type="text/css" media="screen">
-	html, body{
-		margin:0px;
-		padding:0px;
-		height:100%;
-		overflow:hidden;
-	}	
-	.one_line{
-		white-space:nowrap;
-		overflow:hidden;
-		padding-top:5px; padding-left:5px;
-		text-align:left !important;
-	}
-</style>
-
-<script type="text/javascript" charset="utf-8">
-	function init() {
-
-		scheduler.locale.labels.timeline_tab = "Timeline";
-		scheduler.locale.labels.section_custom="Section";
-		scheduler.config.details_on_create=true;
-		scheduler.config.details_on_dblclick=true;
-		scheduler.config.xml_date="%Y-%m-%d %H:%i";
-
-		//===============
-		//Configuration
-		//===============	
-		
-		elements = [ // original hierarhical array to display
-			{key:10, label:"Web Testing Dep.", open: true, children: [
-				{key:20, label:"Elizabeth Taylor"},
-				{key:30, label:"Managers", open: true, children: [
-					{key:40, label:"John Williams"},
-					{key:50, label:"David Miller"}
-				]},
-				{key:60, label:"Linda Brown"},
-				{key:70, label:"George Lucas"}
-			]},
-			{key:80, label:"Kate Moss"},
-			{key:90, label:"Dian Fossey"}
-		];
-	
-		
-		scheduler.createTimelineView({
-			section_autoheight: false,
-			name:	"timeline",
-			x_unit:	"minute",
-			x_date:	"%H:%i",
-			x_step:	30,
-			x_size: 24,
-			x_start: 16,
-			x_length:	48,
-			y_unit: elements,
-			y_property:	"section_id",
-			render: "tree",
-			folder_events_available: true,
-			dy:60
-		});
-		
-		
-
-		//===============
-		//Data loading
-		//===============
-		scheduler.config.lightbox.sections=[	
-			{name:"description", height:130, map_to:"text", type:"textarea" , focus:true},
-			{name:"custom", height:23, type:"timeline", options:null , map_to:"section_id" }, //type should be the same as name of the tab
-			{name:"time", height:72, type:"time", map_to:"auto"}
-		]
-		
-		scheduler.init('scheduler_here',new Date(2009,5,30),"timeline");
-		scheduler.load("php/events_tree_db.php");
-		
-		var dp = new dataProcessor("php/events_tree_db.php");
-		dp.init(scheduler);
-	}
-	
-</script>
-
-<body onload="init();">
-	<div id="scheduler_here" class="dhx_cal_container" style='width:100%; height:100%;'>
-		<div class="dhx_cal_navline">
-			<div class="dhx_cal_prev_button">&nbsp;</div>
-			<div class="dhx_cal_next_button">&nbsp;</div>
-			<div class="dhx_cal_today_button"></div>
-			<div class="dhx_cal_date"></div>
-			<div class="dhx_cal_tab" name="day_tab" style="right:204px;"></div>
-			<div class="dhx_cal_tab" name="week_tab" style="right:140px;"></div>
-			<div class="dhx_cal_tab" name="timeline_tab" style="right:280px;"></div>
-			<div class="dhx_cal_tab" name="month_tab" style="right:76px;"></div>
-		</div>
-		<div class="dhx_cal_header">
-		</div>
-		<div class="dhx_cal_data">
-		</div>		
-	</div>
-</body>
Index: trunk/calendar/js/dhtmlx/samples/06_timeline/06_week_lines.html
===================================================================
--- trunk/calendar/js/dhtmlx/samples/06_timeline/06_week_lines.html	(revision 4001)
+++ 	(revision )
@@ -1,118 +1,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
-<head>
-	<meta http-equiv="Content-type" content="text/html; charset=utf-8">
-	<title>For demo purpose only :: &1</title>
-</head>
-	<script src='../../codebase/dhtmlxscheduler.js' type="text/javascript" charset="utf-8"></script>
-	<script src='../../codebase/ext/dhtmlxscheduler_timeline.js' type="text/javascript" charset="utf-8"></script>
-	
-	<link rel='STYLESHEET' type='text/css' href='../../codebase/dhtmlxscheduler.css'>
-	<link rel="stylesheet" href="../../codebase/ext/dhtmlxscheduler_ext.css" type="text/css" media="screen" title="no title" charset="utf-8">
-	
-	
-	
-
-	
-<style type="text/css" media="screen">
-	html, body{
-		margin:0px;
-		padding:0px;
-		height:100%;
-		overflow:hidden;
-	}	
-	.one_line{
-		white-space:nowrap;
-		overflow:hidden;
-		padding-top:5px; padding-left:5px;
-		text-align:left !important;
-	}
-</style>
-
-<script type="text/javascript" charset="utf-8">
-	function init() {
-
-		scheduler.locale.labels.timeline_tab = "Timeline"
-		scheduler.locale.labels.section_custom="Section";
-		scheduler.config.details_on_create=true;
-		scheduler.config.details_on_dblclick=true;
-		scheduler.config.xml_date="%Y-%m-%d %H:%i";
-		
-		scheduler.config.default_date = "%j %M %Y (#%W)";
-		
-		
-		//===============
-		//Configuration
-		//===============
-		var sections=[
-			{key:1, label:"James Smith"},
-			{key:2, label:"John Williams"},
-			{key:3, label:"David Miller"},
-			{key:4, label:"Linda Brown"}
-		];
-		
-		scheduler.createTimelineView({
-			name:	"timeline",
-			x_unit:	"week",
-			x_date:	"Week #%W",
-			x_step:	  1,
-			x_size:   12,
-			x_start:  0,
-			x_length: 12,
-			y_unit:	sections,
-			y_property:	"section_id",
-			render:"bar"
-		});
-		
-
-		
-		
-		//===============
-		//Data loading
-		//===============
-		scheduler.config.lightbox.sections=[	
-			{name:"description", height:130, map_to:"text", type:"textarea" , focus:true},
-			{name:"custom", height:23, type:"select", options:sections, map_to:"section_id" },
-			{name:"time", height:72, type:"time", map_to:"auto"}
-		]
-		
-		scheduler.init('scheduler_here',new Date(2009,5,30),"timeline");
-		scheduler.parse([
-			{ start_date: "2009-06-30 09:00", end_date: "2009-07-15 12:00", text:"Task A-12458", section_id:1},
-			{ start_date: "2009-07-15 10:00", end_date: "2009-08-30 16:00", text:"Task A-89411", section_id:1},
-			{ start_date: "2009-07-30 10:00", end_date: "2009-08-24 14:00", text:"Task A-64168", section_id:1},
-			{ start_date: "2009-09-01 16:00", end_date: "2009-10-30 17:00", text:"Task A-46598", section_id:1},
-			
-			{ start_date: "2009-06-30 12:00", end_date: "2009-07-12 20:00", text:"Task B-48865", section_id:2},
-			{ start_date: "2009-07-02 14:00", end_date: "2009-07-18 16:00", text:"Task B-44864", section_id:2},
-			{ start_date: "2009-07-27 16:30", end_date: "2009-08-24 18:00", text:"Task B-46558", section_id:2},
-			{ start_date: "2009-08-07 18:30", end_date: "2009-09-27 20:00", text:"Task B-45564", section_id:2},
-			
-			{ start_date: "2009-06-30 08:00", end_date: "2009-08-01 12:00", text:"Task C-32421", section_id:3},
-			{ start_date: "2009-08-12 14:30", end_date: "2009-09-28 16:45", text:"Task C-14244", section_id:3},
-			
-			{ start_date: "2009-06-30 09:20", end_date: "2009-09-30 12:20", text:"Task D-52688", section_id:4},
-			{ start_date: "2009-06-30 11:40", end_date: "2009-07-15 16:30", text:"Task D-46588", section_id:4},
-			{ start_date: "2009-08-10 12:00", end_date: "2009-09-18 18:00", text:"Task D-12458", section_id:4}
-		],"json");
-	}
-</script>
-
-<body onload="init();">
-	<div id="scheduler_here" class="dhx_cal_container" style='width:100%; height:100%;'>
-		<div class="dhx_cal_navline">
-			<div class="dhx_cal_prev_button">&nbsp;</div>
-			<div class="dhx_cal_next_button">&nbsp;</div>
-			<div class="dhx_cal_today_button"></div>
-			<div class="dhx_cal_date"></div>
-			<div class="dhx_cal_tab" name="day_tab" style="right:204px;"></div>
-			<div class="dhx_cal_tab" name="week_tab" style="right:140px;"></div>
-			<div class="dhx_cal_tab" name="timeline_tab" style="right:280px;"></div>
-			<div class="dhx_cal_tab" name="month_tab" style="right:76px;"></div>
-		</div>
-		<div class="dhx_cal_header">
-		</div>
-		<div class="dhx_cal_data">
-		</div>		
-	</div>
-</body>
Index: trunk/calendar/js/dhtmlx/samples/06_timeline/02_lines.html
===================================================================
--- trunk/calendar/js/dhtmlx/samples/06_timeline/02_lines.html	(revision 4001)
+++ 	(revision )
@@ -1,115 +1,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
-<head>
-	<meta http-equiv="Content-type" content="text/html; charset=utf-8">
-	<title>For demo purpose only :: &1</title>
-</head>
-	<script src='../../codebase/dhtmlxscheduler.js' type="text/javascript" charset="utf-8"></script>
-	<script src='../../codebase/ext/dhtmlxscheduler_timeline.js' type="text/javascript" charset="utf-8"></script>
-	
-	<link rel='STYLESHEET' type='text/css' href='../../codebase/dhtmlxscheduler.css'>
-	<link rel="stylesheet" href="../../codebase/ext/dhtmlxscheduler_ext.css" type="text/css" media="screen" title="no title" charset="utf-8">
-	
-	
-	
-
-	
-<style type="text/css" media="screen">
-	html, body{
-		margin:0px;
-		padding:0px;
-		height:100%;
-		overflow:hidden;
-	}	
-	.one_line{
-		white-space:nowrap;
-		overflow:hidden;
-		padding-top:5px; padding-left:5px;
-		text-align:left !important;
-	}
-</style>
-
-<script type="text/javascript" charset="utf-8">
-	function init() {
-
-		scheduler.locale.labels.timeline_tab = "Timeline"
-		scheduler.locale.labels.section_custom="Section";
-		scheduler.config.details_on_create=true;
-		scheduler.config.details_on_dblclick=true;
-		scheduler.config.xml_date="%Y-%m-%d %H:%i";
-		
-		//===============
-		//Configuration
-		//===============
-		var sections=[
-			{key:1, label:"James Smith"},
-			{key:2, label:"John Williams"},
-			{key:3, label:"David Miller"},
-			{key:4, label:"Linda Brown"}
-		];
-		
-		scheduler.createTimelineView({
-			name:	"timeline",
-			x_unit:	"minute",
-			x_date:	"%H:%i",
-			x_step:	30,
-			x_size: 24,
-			x_start: 16,
-			x_length:	48,
-			y_unit:	sections,
-			y_property:	"section_id",
-			render:"bar"
-		});
-		
-
-		
-		
-		//===============
-		//Data loading
-		//===============
-		scheduler.config.lightbox.sections=[	
-			{name:"description", height:130, map_to:"text", type:"textarea" , focus:true},
-			{name:"custom", height:23, type:"select", options:sections, map_to:"section_id" },
-			{name:"time", height:72, type:"time", map_to:"auto"}
-		]
-		
-		scheduler.init('scheduler_here',new Date(2009,5,30),"timeline");
-		scheduler.parse([
-			{ start_date: "2009-06-30 09:00", end_date: "2009-06-30 12:00", text:"Task A-12458", section_id:1},
-			{ start_date: "2009-06-30 10:00", end_date: "2009-06-30 16:00", text:"Task A-89411", section_id:1},
-			{ start_date: "2009-06-30 10:00", end_date: "2009-06-30 14:00", text:"Task A-64168", section_id:1},
-			{ start_date: "2009-06-30 16:00", end_date: "2009-06-30 17:00", text:"Task A-46598", section_id:1},
-			
-			{ start_date: "2009-06-30 12:00", end_date: "2009-06-30 20:00", text:"Task B-48865", section_id:2},
-			{ start_date: "2009-06-30 14:00", end_date: "2009-06-30 16:00", text:"Task B-44864", section_id:2},
-			{ start_date: "2009-06-30 16:30", end_date: "2009-06-30 18:00", text:"Task B-46558", section_id:2},
-			{ start_date: "2009-06-30 18:30", end_date: "2009-06-30 20:00", text:"Task B-45564", section_id:2},
-			
-			{ start_date: "2009-06-30 08:00", end_date: "2009-06-30 12:00", text:"Task C-32421", section_id:3},
-			{ start_date: "2009-06-30 14:30", end_date: "2009-06-30 16:45", text:"Task C-14244", section_id:3},
-			
-			{ start_date: "2009-06-30 09:20", end_date: "2009-06-30 12:20", text:"Task D-52688", section_id:4},
-			{ start_date: "2009-06-30 11:40", end_date: "2009-06-30 16:30", text:"Task D-46588", section_id:4},
-			{ start_date: "2009-06-30 12:00", end_date: "2009-06-30 18:00", text:"Task D-12458", section_id:4}
-		],"json");
-	}
-</script>
-
-<body onload="init();">
-	<div id="scheduler_here" class="dhx_cal_container" style='width:100%; height:100%;'>
-		<div class="dhx_cal_navline">
-			<div class="dhx_cal_prev_button">&nbsp;</div>
-			<div class="dhx_cal_next_button">&nbsp;</div>
-			<div class="dhx_cal_today_button"></div>
-			<div class="dhx_cal_date"></div>
-			<div class="dhx_cal_tab" name="day_tab" style="right:204px;"></div>
-			<div class="dhx_cal_tab" name="week_tab" style="right:140px;"></div>
-			<div class="dhx_cal_tab" name="timeline_tab" style="right:280px;"></div>
-			<div class="dhx_cal_tab" name="month_tab" style="right:76px;"></div>
-		</div>
-		<div class="dhx_cal_header">
-		</div>
-		<div class="dhx_cal_data">
-		</div>		
-	</div>
-</body>